Package org.bgerp.plugin.bil.invoice.action

# Class InvoiceAction

java.lang.Object
org.apache.struts.action.Action
org.apache.struts.actions.BaseAction
org.apache.struts.actions.DispatchAction
org.bgerp.action.base.BaseAction
org.bgerp.plugin.bil.invoice.action.InvoiceAction

public class InvoiceAction extends BaseAction

- ## Field Summary

  ### Fields inherited from class org.bgerp.action.base.BaseAction

  `l, log, MAPPER, PATH_JSP_ADMIN, PATH_JSP_OPEN, PATH_JSP_USER, PATH_JSP_USERMOB, setup`

  ### Fields inherited from class org.apache.struts.actions.DispatchAction

  `clazz, methods, types`

  ### Fields inherited from class org.apache.struts.actions.BaseAction

  `messages`

  ### Fields inherited from class org.apache.struts.action.Action

  `servlet`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InvoiceAction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.struts.action.ActionForward`
  `create(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `delete(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `doc(DynActionForm form, ConnectionSet conSet)`
  `static InvoiceType`
  `doc(ConnectionSet conSet, DynActionForm form, int id)`
  Prepares all required data for print form generation.
  `org.apache.struts.action.ActionForward`
  `get(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `list(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `paid(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `unpaid(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `update(DynActionForm form, ConnectionSet conSet)`

  ### Methods inherited from class org.bgerp.action.base.BaseAction

  `checkModified, dispatchMethod, getParameter, html, html, json, json, permissionCheck, restoreRequestParams, unspecified, unspecified, updatePersonalization`

  ### Methods inherited from class org.apache.struts.actions.DispatchAction

  `cancelled, execute, getMethod, getMethodName, unspecified`

  ### Methods inherited from class org.apache.struts.action.Action

  `addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InvoiceAction

    public InvoiceAction()

- ## Method Details

  - ### list

    public org.apache.struts.action.ActionForward list(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### create

    public org.apache.struts.action.ActionForward create(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### get

    public org.apache.struts.action.ActionForward get(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### update

    public org.apache.struts.action.ActionForward update(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### delete

    public org.apache.struts.action.ActionForward delete(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### doc

    public static InvoiceType doc(ConnectionSet conSet, DynActionForm form, int id) throws Exception
    Prepares all required data for print form generation.
    Parameters:
      `conSet` -
      `form` - all data are set as response data to the form.
      `id` - invoice ID.
    Returns:
      type of invoice.
    Throws:
      `Exception`

  - ### doc

    public org.apache.struts.action.ActionForward doc(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### paid

    public org.apache.struts.action.ActionForward paid(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### unpaid

    public org.apache.struts.action.ActionForward unpaid(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`